Attribute VB_Name = "IF_60"
'TEXIO USB488 Access API Define

Declare Function USB488_DeviceOpen Lib "IF_60" (ByVal addr As Long) As Long
Declare Function USB488_DeviceClose Lib "IF_60" (ByVal addr As Long) As Long

Declare Function USB488_SetTimeout Lib "IF_60" (ByVal addr As Long, ByVal sec As Long) As Long
Declare Function USB488_SetRemote Lib "IF_60" (ByVal addr As Long, ByVal rMode As Long) As Long
Declare Function USB488_GetRemote Lib "IF_60" (ByVal addr As Long) As Long
Declare Function USB488_DevClear Lib "IF_60" (ByVal addr As Long) As Long
Declare Function USB488_GetSTBQuery Lib "IF_60" (ByVal addr As Long) As Long
Declare Function USB488_ClearSTB Lib "IF_60" (ByVal addr As Long) As Long

Declare Function USB488_Send Lib "IF_60" (ByVal addr As Long, ByVal strBuf As String) As Long
Declare Function USB488_SendBinary Lib "IF_60" (ByVal addr As Long, strBuf As Any, ByVal Count As Long, NullMode As Long) As Long
Declare Function USB488_Receive Lib "IF_60" (ByVal addr As Long, ByVal Count As Long, ByVal strBuf As String) As Long
Declare Function USB488_ReceiveB Lib "IF_60" Alias "USB488_Receive" (ByVal addr As Long, ByVal Count As Long, strBuf As Any) As Long

Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Global Const IF_USB = 1
Global Const IF_COM1 = 2

Public Const C_OUT_ON = ":OUTP 1"       '弌椡ON
Public Const C_OUT_OFF = ":OUTP 0"      '弌椡OFF
Public Const C_REMOTE_OFF = ":Remote0"  '儕儌乕僩夝彍
Public Const C_ADDR = ":ADDR "          '儘乕僇儖巜掕
Public Const C_PRESET = ":pres:call "   '僾儕僙僢僩屇弌
Public Const C_DISP1 = ":Conf:disp1"    '捠忢昞帵
Public Const C_READBACK = ":meas?"      '匕霓兽梫媮


